import { TapResponse, ServiceCallRunner } from '@iotize/tap';
export declare function createMockServiceFunctionCustom<T, ArgType extends any[]>(responseBuilder: (...args: ArgType) => TapResponse<T>, options?: {
    responseDelay: number;
}): (...args: ArgType) => Promise<TapResponse<T>>;
export declare function createMockServiceFunction<T = void>(responseStatus?: number, options?: {
    responseDelay: number;
}): () => Promise<TapResponse<T>>;
export declare function createMockServiceFunctionWithBody<T>(responseStatus: number | undefined, body: T, options?: {
    responseDelay: number;
}): () => Promise<TapResponse<T>>;
export declare function createMockServiceResponse<T = void>(responseStatus?: number): TapResponse<T>;
export declare function createMockServiceResponseWithBody<T>(responseStatus: number | undefined, body: T): TapResponse<T>;
export declare function createMockServiceResponseError<T = void>(code: number): TapResponse<T>;
export declare function createMockService<T>(constructorFct: new (serviceCallRunner: ServiceCallRunner) => T): T;
export declare class MockServiceCallRunner extends ServiceCallRunner {
    constructor();
}
